### Method

# WebKit2 PermissionStateQuery get_security_origin

since: 2.40

#### Declaration [src]

    WebKitSecurityOrigin*
    webkit_permission_state_query_get_security_origin (
      WebKitPermissionStateQuery* query
    )

#### Description [src]

Get the permission origin for which access is being queried.

Available since: 2.40

#### Return value

Type: `WebKitSecurityOrigin`

A `WebKitSecurityOrigin` representing the origin from which the `query` was emitted.

The data is owned by the instance.